#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace ValidateTest.DataModel
{
    public class UserInfoRepository
    {
        Random _r = new Random();

        public City[] _cityNames = new City[] 
        {
            new City("Candelaria"),
            new City("McGuffey"),
            new City("Daguao"),
            new City("Driscoll"),
            new City("Lake Wylie"),
            new City("Evans Mills"),
            new City("Maumelle"),
            new City("Ripley"),
            new City("Talbotton"),
            new City("Makakilo"),
            new City("Lorain"),
            new City("Chunchula"),
            new City("Newburg"),
            new City("Joiner"),
            new City("Fort Atkinson"),
            new City("Matawan"),
            new City("Council"),
            new City("Copenhagen"),
            new City("Sciotodale")
        };

        string[] _contactNos = new string[] { 
        "(833) 215-6503",
        "(855) 727-4387",
        "(844) 479-2783",
        "(855) 055-5922",
        "(899) 378-8810",
        "(833) 389-76618",
        "(855) 313-1072",
        "(899) 287-1193",
        "(844) 613-4240",
        "(833) 293-9651", 
        "(899) 751-7249",
        "(833) 266-3598",
        "(855) 117-36707",
        "(811) 638-39931",
        "(833) 444-7832",
        "(899) 995-59379",
        "(899) 544-1240",
        "(811) 892-78532",
        "(844) 080-8130",
        "(899) 256-2942"
        };

        string[] _names = new string[]
        {
            "Hatomlor",	"Anech",	"Polormundara",	"Omemiaore-Yon",	"Moreng",	"Sernn",	"Dariech Jhon",
"Vesrisum",	"Tai'aty",	"Omat",	"Drashther",	"Umm-que",	"Kinyer",	"Orothe",
"Belawpol",	"Sedlor*",	"Orgar",	"Serem",	"Oslory",	"Isia"

        };

        string[] _mail = new string[]
        {
            "gmail", "yahoo", "msn", "hotmail","ymail", "live"
        };

        internal ObservableCollection<UserInfo> GetUserDetails(int count)
        {
            ObservableCollection<UserInfo> userdetails = new ObservableCollection<UserInfo>();
            for (int i = 0; i < count; i++)
            {
                var user = new UserInfo();
                user.UserId = 1001 + i;
                user.MyCity = _cityNames[_r.Next(0, _cityNames.Count() - 1)];
                user.ContactNo = _contactNos[_r.Next(0, _contactNos.Count() - 1)];
                user.DateofBirth = new DateTime(_r.Next(1960, 2000), _r.Next(1, 12), _r.Next(1, 28));
                user.Name = _names[_r.Next(0, _names.Count() - 1)];
                user.EMail = user.Name + "@" + _mail[_r.Next(0, _mail.Count() - 1)] + ".com";
                user.Salary = _r.Next(9000, 31000);
                userdetails.Add(user);
            }

            return userdetails;
        }

    }
}
