#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System.Collections.Generic;
using System.Collections.ObjectModel;
using ValidateTest.DataModel;
using Syncfusion.Windows.Shared;

namespace ValidateTest.ViewModel
{
	public class ViewModel :NotificationObject
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="ViewModel"/> class.
		/// </summary>
		public ViewModel()
		{
			UserDetails = new UserInfoRepository().GetUserDetails(100);

			Cities = InitializeCities();

		}

		private ObservableCollection<UserInfo> _userDetails;
		public ObservableCollection<UserInfo> UserDetails
		{
			get { return _userDetails; }
			set { _userDetails = value; RaisePropertyChanged("UserDetails"); }
		}


		private ObservableCollection<City> m_Cities;
		public ObservableCollection<City> Cities
		{
			get { return m_Cities; }
			set
			{
				m_Cities = value;
				this.RaisePropertyChanged(() => this.Cities);
			}
		}

		public ObservableCollection<City> InitializeCities()
		{
			UserInfoRepository urep = new UserInfoRepository();
			ObservableCollection<City> cities = new ObservableCollection<City>(new List<City>(urep._cityNames));
			
			return cities;
		}
	}
}
